Bug 74748 - gnome-terminal eats tons of memory
gnome-terminal eats tons of memory
Product: Red Hat Linux
Classification: Retired
Component: vte (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
: 75211 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2002-10-01 09:19 EDT by Heinz Deinhart
Modified: 2007-04-18 12:46 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-16 15:07:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Heinz Deinhart 2002-10-01 09:19:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020606

Description of problem:
gnome-terminal uses very much memory without beeing used a lot

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.install rh8 on a new p4 1.8ghz, 256MB RAM, IDE harddrive ~1G swapspace
2.start gnome-terminal
3.make it full-screen
4.hide menubar
5.do something that scrolls a lot
6.see memory be consumend till machine swaps to death

Actual Results:  top output:
  990 root      15   0 1170M 135M  3816 S     0.0 56.0   0:46 gnome-terminal

Expected Results:  i tuned the settings in 7.3 to log a lot, and it did not use
more than a  10-15MB RAM
the 8.0 version uses >1G without default settings

Additional info:
Comment 1 Havoc Pennington 2002-10-01 10:08:38 EDT
What is your scrollback buffer set to?
Comment 2 Heinz Deinhart 2002-10-01 10:47:17 EDT
it is set to 500 lines or(?) 318kb

i did not tweak any system settings, just followed the install procedure,
logged in as root, start gnome system monitor and terminal and typed this:
bash# i=0; while true
echo $i
let i++

when i reaches 200000 gnome-terminal has used ~80MB of RAM
note that the scrollbuffer seems to already discard lines,
and i can only scroll back 500 lines

so this looks like a memory leak?
Comment 3 Heinz Deinhart 2002-10-01 11:21:55 EDT
i think i just found out something important:
gnome-system-monitor is now at 100MB, too, and still growing
even the gnome-calculator keeps eating memory, when i do resize
the window a lot.

but xterm is definitly working fine.

so maybe this is an issue somewhere in gnome2..
Comment 4 Nalin Dahyabhai 2002-10-17 20:31:28 EDT
If you run "xdpyinfo", is RENDER one of the listed extensions?
Comment 5 Heinz Deinhart 2002-10-18 03:37:17 EDT
no, it is not listed
u can see the full output of xpyinfo here:

may this is usefull, too:
Comment 6 Brian Huffman 2002-10-22 11:08:55 EDT
I also am seeing the same problem.  I have a clean install of RedHat 8.0 w/ an
Intel 845G video Card.  Watching top in one window, I do something in my
gnome-terminal (like compile), and gnome-terminal memory usage continually
increases and will eventually render machine useless.  

I also do *not* have the XRENDER extension enabled.
Comment 7 Mike McLean 2003-01-02 12:34:38 EST
This bug has been inappropriately marked MODIFIED. Please review the bug life
cycle information at 

Changing bug status to ASSIGNED.
Comment 8 Jason Montleon 2003-03-31 15:01:54 EST
This is also reproducible by doing the following:
Open a gnome-terminal and open 2 additional tabs -OR- open gnome-terminal 3 
times.  Run curl with the command line options as suggested in RHN for 
downloading the isos and start downloading 3 ISO's say RedHat 8 or 9 disc 1 2 
and 3...  After a couple hours you'll be swapping so bad you can't even log in.
Comment 9 Ray Strode [halfline] 2004-06-15 12:04:59 EDT
Are you still experiencing problems with the lastest release?  I
haven't been able to reproduce.
Comment 10 Ray Strode [halfline] 2004-06-15 14:13:04 EDT
*** Bug 75211 has been marked as a duplicate of this bug. ***
Comment 11 Heinz Deinhart 2004-06-16 04:20:38 EDT
Do you mean the latest release of gnome-terminal for rh8? Then i do
not know. I stopped using rh8 because of this bug, and switchted from
7.x to FC2 recently. Its Gnome 2.6 Terminal runs flawless.
Comment 12 Ray Strode [halfline] 2004-06-16 15:07:25 EDT
Okay, then I'm going to mark this bug fixed in current release.  If
you encounter the problem again, feel free to reopen it.

Note You need to log in before you can comment on or make changes to this bug.